agc_s Struct Reference

Structure holding data for doing AGC. More...

`#include <agc.h>`

## Data Fields

mfcc_t | max
| Estimated max for current utterance (for AGC_EMAX)
mfcc_t | obs_max
| Observed max in current utterance.
int32 | obs_frame
| Whether any data was observed after prev update.
int32 | obs_utt
| Whether any utterances have been observed.
mfcc_t | obs_max_sum
mfcc_t | noise_thresh
| Noise threshold (for AGC_NOISE only)

## Detailed Description

Structure holding data for doing AGC.

Definition at line 113 of file agc.h.

The documentation for this struct was generated from the following file:

- include/sphinxbase/agc.h